# Copyright 2023 TheK0tYaRa (thek0tyara.alod123@gmail.com)
# Distributed under the terms of the GNU General Public License v2

EAPI=7

#inherit

DESCRIPTION="dvm"
HOMEPAGE="https://github.com/diced/dvm"

SRC_URI="${HOMEPAGE}/releases/download/${PV}/dvm"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND=""
RDEPEND="
	dev-libs/openssl-compat
	"

S="${WORKDIR}/${P}"

src_unpack() {
    mkdir -p "${S}"
	cp "${DISTDIR}/dvm" "${S}/dvm"
}

#src_prepare() {
#    default
#}

src_compile() {
    cd "${S}"
	chmod +x dvm
}

src_install() {
	dobin "${S}/dvm"
}

